Index: LMDZ6/branches/Amaury_dev/libf/phylmd/phys_local_var_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/phys_local_var_mod.F90	(revision 5095)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/phys_local_var_mod.F90	(revision 5098)
@@ -909,121 +906,121 @@
 #endif
 
-      ALLOCATE(d_u_vdf(klon,klev),d_v_vdf(klon,klev))
-      ALLOCATE(d_t_oli(klon,klev),d_t_oro(klon,klev))
-      ALLOCATE(d_u_oli(klon,klev),d_v_oli(klon,klev))
-      ALLOCATE(d_u_oro(klon,klev),d_v_oro(klon,klev))
-      ALLOCATE(d_u_oro_gw(klon,klev),d_v_oro_gw(klon,klev))
-      ALLOCATE(d_t_oro_gw(klon,klev))
-      ALLOCATE(d_t_lif(klon,klev),d_t_ec(klon,klev))
-      ALLOCATE(d_u_lif(klon,klev),d_v_lif(klon,klev))
-      ALLOCATE(d_ts(klon,nbsrf), d_tr(klon,klev,nbtr))
-
-! Special RRTM
-      ALLOCATE(ZLWFT0_i(klon,klev+1),ZSWFT0_i(klon,klev+1),ZFLDN0(klon,klev+1))
-      ZFLDN0= 0.
-      ALLOCATE(ZFLUP0(klon,klev+1),ZFSDN0(klon,klev+1),ZFSUP0(klon,klev+1))
-!
-      ALLOCATE(topswad_aero(klon), solswad_aero(klon))
-      ALLOCATE(topswai_aero(klon), solswai_aero(klon))
-      ALLOCATE(topswad0_aero(klon), solswad0_aero(klon))
-      ALLOCATE(toplwad_aero(klon), sollwad_aero(klon))
-      ALLOCATE(toplwai_aero(klon), sollwai_aero(klon))
-      ALLOCATE(toplwad0_aero(klon), sollwad0_aero(klon))
-      ALLOCATE(topsw_aero(klon,naero_grp), solsw_aero(klon,naero_grp))
-      ALLOCATE(topsw0_aero(klon,naero_grp), solsw0_aero(klon,naero_grp))
-      ALLOCATE(topswcf_aero(klon,3), solswcf_aero(klon,3))
-      ALLOCATE(du_gwd_hines(klon,klev),dv_gwd_hines(klon,klev))
-      ALLOCATE(dv_gwd_rando(klon,klev),dv_gwd_front(klon,klev))
-      ALLOCATE(east_gwstress(klon,klev),west_gwstress(klon,klev))
-      east_gwstress(:,:)=0 !ym missing init
-      west_gwstress(:,:)=0 !ym missing init
-      ALLOCATE(d_t_hin(klon,klev))
-      ALLOCATE(d_q_ch4(klon,klev))
-      ALLOCATE(stratomask(klon,klev))
-      ALLOCATE(tausum_aero(klon,nwave,naero_tot))
-      ALLOCATE(drytausum_aero(klon,naero_tot))
-      ALLOCATE(tau3d_aero(klon,klev,nwave,naero_tot)) 
-      ALLOCATE(dNovrN(klon))
-      ALLOCATE(zfice(klon, klev))
-      ALLOCATE(od443aer(klon))
-      ALLOCATE(od550aer(klon))
-      ALLOCATE(od865aer(klon))
-      ALLOCATE(dryod550aer(klon))
-      dryod550aer(:) = 0.
-      ALLOCATE(abs550aer(klon))
-      abs550aer(:) = 0.
-      ALLOCATE(ec550aer(klon,klev))
-      ALLOCATE(od550lt1aer(klon))
-      ALLOCATE(sconcso4(klon))
-      ALLOCATE(sconcno3(klon))
-      ALLOCATE(sconcoa(klon))
-      ALLOCATE(sconcbc(klon))
-      ALLOCATE(sconcss(klon))
-      ALLOCATE(sconcdust(klon))
-      ALLOCATE(concso4(klon,klev))
-      ALLOCATE(concno3(klon,klev))
-      ALLOCATE(concoa(klon,klev))
-      ALLOCATE(concbc(klon,klev))
-      ALLOCATE(concss(klon,klev))
-      ALLOCATE(concdust(klon,klev))
-      ALLOCATE(loadso4(klon))
-      ALLOCATE(loadoa(klon))
-      ALLOCATE(loadbc(klon))
-      ALLOCATE(loadss(klon))
-      ALLOCATE(loaddust(klon))
-      ALLOCATE(loadno3(klon))
-      ALLOCATE(load_tmp1(klon))
-      ALLOCATE(load_tmp2(klon))
-      ALLOCATE(load_tmp3(klon))
-      ALLOCATE(load_tmp4(klon))
-      ALLOCATE(load_tmp5(klon))
-      ALLOCATE(load_tmp6(klon))
-      ALLOCATE(load_tmp7(klon))
-      ALLOCATE(load_tmp8(klon))
-      ALLOCATE(load_tmp9(klon))
-      ALLOCATE(load_tmp10(klon))
-
-!IM ajout variables CFMIP2/CMIP5
-      ALLOCATE(topswad_aerop(klon), solswad_aerop(klon))
-      ALLOCATE(topswai_aerop(klon), solswai_aerop(klon))
-      ALLOCATE(topswad0_aerop(klon), solswad0_aerop(klon))
-      ALLOCATE(topsw_aerop(klon,naero_grp), topsw0_aerop(klon,naero_grp))
-      ALLOCATE(solsw_aerop(klon,naero_grp), solsw0_aerop(klon,naero_grp))
-      ALLOCATE(topswcf_aerop(klon,naero_grp), solswcf_aerop(klon,naero_grp))
-
-! additional LW variables CK
-      ALLOCATE(toplwad_aerop(klon), sollwad_aerop(klon))
-      ALLOCATE(toplwai_aerop(klon), sollwai_aerop(klon))
-      ALLOCATE(toplwad0_aerop(klon), sollwad0_aerop(klon))
-
-!AI Ajout Ecrad (3Deffect)
-      ALLOCATE(topswad_aero_s2(klon), solswad_aero_s2(klon))
-      ALLOCATE(topswai_aero_s2(klon), solswai_aero_s2(klon))
-      ALLOCATE(topswad0_aero_s2(klon), solswad0_aero_s2(klon))
-      ALLOCATE(topsw_aero_s2(klon,naero_grp), topsw0_aero_s2(klon,naero_grp))
-      ALLOCATE(solsw_aero_s2(klon,naero_grp), solsw0_aero_s2(klon,naero_grp))
-      ALLOCATE(topswcf_aero_s2(klon,naero_grp), solswcf_aero_s2(klon,naero_grp))
-! additional LW variables CK
-      ALLOCATE(toplwad_aero_s2(klon), sollwad_aero_s2(klon))
-      ALLOCATE(toplwai_aero_s2(klon), sollwai_aero_s2(klon))
-      ALLOCATE(toplwad0_aero_s2(klon), sollwad0_aero_s2(klon))
-
-! FH Ajout de celles necessaires au phys_output_write_mod
-
-      ALLOCATE(tal1(klon), pal1(klon), pab1(klon), pab2(klon))
-      ALLOCATE(ptstar(klon),pt0(klon),slp(klon))
-!!
-!!          Wake variables
-      ALLOCATE(alp_wake(klon))
-      ALLOCATE(wake_h(klon),wake_k(klon))
-      ALLOCATE(wake_omg(klon, klev))
-      ALLOCATE(d_deltat_wk(klon, klev), d_deltaq_wk(klon, klev))
-      ALLOCATE(d_s_wk(klon), d_s_a_wk(klon), d_dens_wk(klon), d_dens_a_wk(klon))
-      ALLOCATE(d_deltat_wk_gw(klon, klev), d_deltaq_wk_gw(klon, klev))
-      ALLOCATE(d_deltat_vdf(klon, klev), d_deltaq_vdf(klon, klev))
-!!      ALLOCATE( d_s_vdf(klon), d_dens_vdf(klon))
-      ALLOCATE(d_deltat_the(klon, klev), d_deltaq_the(klon, klev))
-!!      ALLOCATE( d_s_the(klon), d_dens_the(klon))
-      ALLOCATE(d_deltat_ajs_cv(klon, klev), d_deltaq_ajs_cv(klon, klev))
+    ALLOCATE(d_u_vdf(klon, klev), d_v_vdf(klon, klev))
+    ALLOCATE(d_t_oli(klon, klev), d_t_oro(klon, klev))
+    ALLOCATE(d_u_oli(klon, klev), d_v_oli(klon, klev))
+    ALLOCATE(d_u_oro(klon, klev), d_v_oro(klon, klev))
+    ALLOCATE(d_u_oro_gw(klon, klev), d_v_oro_gw(klon, klev))
+    ALLOCATE(d_t_oro_gw(klon, klev))
+    ALLOCATE(d_t_lif(klon, klev), d_t_ec(klon, klev))
+    ALLOCATE(d_u_lif(klon, klev), d_v_lif(klon, klev))
+    ALLOCATE(d_ts(klon, nbsrf), d_tr(klon, klev, nbtr))
+
+    ! Special RRTM
+    ALLOCATE(ZLWFT0_i(klon, klev + 1), ZSWFT0_i(klon, klev + 1), ZFLDN0(klon, klev + 1))
+    ZFLDN0 = 0.
+    ALLOCATE(ZFLUP0(klon, klev + 1), ZFSDN0(klon, klev + 1), ZFSUP0(klon, klev + 1))
+    !
+    ALLOCATE(topswad_aero(klon), solswad_aero(klon))
+    ALLOCATE(topswai_aero(klon), solswai_aero(klon))
+    ALLOCATE(topswad0_aero(klon), solswad0_aero(klon))
+    ALLOCATE(toplwad_aero(klon), sollwad_aero(klon))
+    ALLOCATE(toplwai_aero(klon), sollwai_aero(klon))
+    ALLOCATE(toplwad0_aero(klon), sollwad0_aero(klon))
+    ALLOCATE(topsw_aero(klon, naero_grp), solsw_aero(klon, naero_grp))
+    ALLOCATE(topsw0_aero(klon, naero_grp), solsw0_aero(klon, naero_grp))
+    ALLOCATE(topswcf_aero(klon, 3), solswcf_aero(klon, 3))
+    ALLOCATE(du_gwd_hines(klon, klev), dv_gwd_hines(klon, klev))
+    ALLOCATE(dv_gwd_rando(klon, klev), dv_gwd_front(klon, klev))
+    ALLOCATE(east_gwstress(klon, klev), west_gwstress(klon, klev))
+    east_gwstress(:, :) = 0 !ym missing init
+    west_gwstress(:, :) = 0 !ym missing init
+    ALLOCATE(d_t_hin(klon, klev))
+    ALLOCATE(d_q_ch4(klon, klev))
+    ALLOCATE(stratomask(klon, klev))
+    ALLOCATE(tausum_aero(klon, nwave, naero_tot))
+    ALLOCATE(drytausum_aero(klon, naero_tot))
+    ALLOCATE(tau3d_aero(klon, klev, nwave, naero_tot))
+    ALLOCATE(dNovrN(klon))
+    ALLOCATE(zfice(klon, klev))
+    ALLOCATE(od443aer(klon))
+    ALLOCATE(od550aer(klon))
+    ALLOCATE(od865aer(klon))
+    ALLOCATE(dryod550aer(klon))
+    dryod550aer(:) = 0.
+    ALLOCATE(abs550aer(klon))
+    abs550aer(:) = 0.
+    ALLOCATE(ec550aer(klon, klev))
+    ALLOCATE(od550lt1aer(klon))
+    ALLOCATE(sconcso4(klon))
+    ALLOCATE(sconcno3(klon))
+    ALLOCATE(sconcoa(klon))
+    ALLOCATE(sconcbc(klon))
+    ALLOCATE(sconcss(klon))
+    ALLOCATE(sconcdust(klon))
+    ALLOCATE(concso4(klon, klev))
+    ALLOCATE(concno3(klon, klev))
+    ALLOCATE(concoa(klon, klev))
+    ALLOCATE(concbc(klon, klev))
+    ALLOCATE(concss(klon, klev))
+    ALLOCATE(concdust(klon, klev))
+    ALLOCATE(loadso4(klon))
+    ALLOCATE(loadoa(klon))
+    ALLOCATE(loadbc(klon))
+    ALLOCATE(loadss(klon))
+    ALLOCATE(loaddust(klon))
+    ALLOCATE(loadno3(klon))
+    ALLOCATE(load_tmp1(klon))
+    ALLOCATE(load_tmp2(klon))
+    ALLOCATE(load_tmp3(klon))
+    ALLOCATE(load_tmp4(klon))
+    ALLOCATE(load_tmp5(klon))
+    ALLOCATE(load_tmp6(klon))
+    ALLOCATE(load_tmp7(klon))
+    ALLOCATE(load_tmp8(klon))
+    ALLOCATE(load_tmp9(klon))
+    ALLOCATE(load_tmp10(klon))
+
+    !IM ajout variables CFMIP2/CMIP5
+    ALLOCATE(topswad_aerop(klon), solswad_aerop(klon))
+    ALLOCATE(topswai_aerop(klon), solswai_aerop(klon))
+    ALLOCATE(topswad0_aerop(klon), solswad0_aerop(klon))
+    ALLOCATE(topsw_aerop(klon, naero_grp), topsw0_aerop(klon, naero_grp))
+    ALLOCATE(solsw_aerop(klon, naero_grp), solsw0_aerop(klon, naero_grp))
+    ALLOCATE(topswcf_aerop(klon, naero_grp), solswcf_aerop(klon, naero_grp))
+
+    ! additional LW variables CK
+    ALLOCATE(toplwad_aerop(klon), sollwad_aerop(klon))
+    ALLOCATE(toplwai_aerop(klon), sollwai_aerop(klon))
+    ALLOCATE(toplwad0_aerop(klon), sollwad0_aerop(klon))
+
+    !AI Ajout Ecrad (3Deffect)
+    ALLOCATE(topswad_aero_s2(klon), solswad_aero_s2(klon))
+    ALLOCATE(topswai_aero_s2(klon), solswai_aero_s2(klon))
+    ALLOCATE(topswad0_aero_s2(klon), solswad0_aero_s2(klon))
+    ALLOCATE(topsw_aero_s2(klon, naero_grp), topsw0_aero_s2(klon, naero_grp))
+    ALLOCATE(solsw_aero_s2(klon, naero_grp), solsw0_aero_s2(klon, naero_grp))
+    ALLOCATE(topswcf_aero_s2(klon, naero_grp), solswcf_aero_s2(klon, naero_grp))
+    ! additional LW variables CK
+    ALLOCATE(toplwad_aero_s2(klon), sollwad_aero_s2(klon))
+    ALLOCATE(toplwai_aero_s2(klon), sollwai_aero_s2(klon))
+    ALLOCATE(toplwad0_aero_s2(klon), sollwad0_aero_s2(klon))
+
+    ! FH Ajout de celles necessaires au phys_output_write_mod
+
+    ALLOCATE(tal1(klon), pal1(klon), pab1(klon), pab2(klon))
+    ALLOCATE(ptstar(klon), pt0(klon), slp(klon))
+    !!
+    !!          Wake variables
+    ALLOCATE(alp_wake(klon))
+    ALLOCATE(wake_h(klon), wake_k(klon))
+    ALLOCATE(wake_omg(klon, klev))
+    ALLOCATE(d_deltat_wk(klon, klev), d_deltaq_wk(klon, klev))
+    ALLOCATE(d_s_wk(klon), d_s_a_wk(klon), d_dens_wk(klon), d_dens_a_wk(klon))
+    ALLOCATE(d_deltat_wk_gw(klon, klev), d_deltaq_wk_gw(klon, klev))
+    ALLOCATE(d_deltat_vdf(klon, klev), d_deltaq_vdf(klon, klev))
+    !!      ALLOCATE( d_s_vdf(klon), d_dens_vdf(klon))
+    ALLOCATE(d_deltat_the(klon, klev), d_deltaq_the(klon, klev))
+    !!      ALLOCATE( d_s_the(klon), d_dens_the(klon))
+    ALLOCATE(d_deltat_ajs_cv(klon, klev), d_deltaq_ajs_cv(klon, klev))
 #ifdef ISO
       ALLOCATE(d_deltaxt_wk(ntraciso,klon, klev))
@@ -1033,32 +1030,32 @@
       ALLOCATE(d_deltaxt_ajs_cv(ntraciso,klon, klev))
 #endif
-!!         End of wake variables
-!!
-      ALLOCATE(bils(klon))
-      ALLOCATE(cdragm(klon), cdragh(klon), cldh(klon), cldl(klon))
-      ALLOCATE(cldm(klon), cldq(klon), cldt(klon), qsat2m(klon))
-      ALLOCATE(JrNt(klon))
-      ALLOCATE(dthmin(klon), evap(klon), snowerosion(klon), fder(klon), plcl(klon), plfc(klon))
-      ALLOCATE(prw(klon), prlw(klon), prsw(klon), prbsw(klon), water_budget(klon), zustar(klon), zu10m(klon), zv10m(klon), rh2m(klon))
-      ALLOCATE(s_lcl(klon))
-      ALLOCATE(s_pblh(klon), s_pblt(klon), s_therm(klon))
-!
-!nrlmd+jyg<
-      ALLOCATE(s_pblh_x(klon), s_pblh_w(klon))
-      ALLOCATE(s_lcl_x(klon), s_lcl_w(klon))
-!>nrlmd+jyg
-!
-      ALLOCATE(slab_wfbils(klon), tpot(klon), tpote(klon), ue(klon))
-      ALLOCATE(uq(klon), ve(klon), vq(klon), zxffonte(klon))
-      ALLOCATE(uwat(klon), vwat(klon))
-      ALLOCATE(zxfqcalving(klon), zxfluxlat(klon))
-      ALLOCATE(zxtsol(klon), snow_lsc(klon), zxfqfonte(klon), zxqsurf(klon))
-      ALLOCATE(zxrunofflic(klon))
-      ALLOCATE(zxustartlic(klon), zxrhoslic(klon), zxqsaltlic(klon))
-      zxustartlic(:)=0. ; zxrhoslic(:)=0. ; zxqsaltlic(:)=0.
-      ALLOCATE(rain_lsc(klon))
-      ALLOCATE(rain_num(klon))
-      ALLOCATE(qlth(klon,klev), qith(klon,klev), qsith(klon,klev), wiceth(klon,klev))
-      !
+    !!         End of wake variables
+    !!
+    ALLOCATE(bils(klon))
+    ALLOCATE(cdragm(klon), cdragh(klon), cldh(klon), cldl(klon))
+    ALLOCATE(cldm(klon), cldq(klon), cldt(klon), qsat2m(klon))
+    ALLOCATE(JrNt(klon))
+    ALLOCATE(dthmin(klon), evap(klon), snowerosion(klon), fder(klon), plcl(klon), plfc(klon))
+    ALLOCATE(prw(klon), prlw(klon), prsw(klon), prbsw(klon), water_budget(klon), zustar(klon), zu10m(klon), zv10m(klon), rh2m(klon))
+    ALLOCATE(s_lcl(klon))
+    ALLOCATE(s_pblh(klon), s_pblt(klon), s_therm(klon))
+    !
+    !nrlmd+jyg<
+    ALLOCATE(s_pblh_x(klon), s_pblh_w(klon))
+    ALLOCATE(s_lcl_x(klon), s_lcl_w(klon))
+    !>nrlmd+jyg
+    !
+    ALLOCATE(slab_wfbils(klon), tpot(klon), tpote(klon), ue(klon))
+    ALLOCATE(uq(klon), ve(klon), vq(klon), zxffonte(klon))
+    ALLOCATE(uwat(klon), vwat(klon))
+    ALLOCATE(zxfqcalving(klon), zxfluxlat(klon))
+    ALLOCATE(zxtsol(klon), snow_lsc(klon), zxfqfonte(klon), zxqsurf(klon))
+    ALLOCATE(zxrunofflic(klon))
+    ALLOCATE(zxustartlic(klon), zxrhoslic(klon), zxqsaltlic(klon))
+    zxustartlic(:) = 0. ; zxrhoslic(:) = 0. ; zxqsaltlic(:) = 0.
+    ALLOCATE(rain_lsc(klon))
+    ALLOCATE(rain_num(klon))
+    ALLOCATE(qlth(klon, klev), qith(klon, klev), qsith(klon, klev), wiceth(klon, klev))
+    !
 #ifdef ISO
       ALLOCATE(xtevap(ntraciso,klon))
@@ -1073,80 +1070,82 @@
       runoff_diag(:)=0. ; xtrunoff_diag(:,:)=0. ! because variables are only given values on knon grid points
 #endif
-!
-      ALLOCATE(sens_x(klon), sens_w(klon))
-      ALLOCATE(zxfluxlat_x(klon), zxfluxlat_w(klon))
-      ALLOCATE(delta_qsurf(klon))
-!jyg<
-!!      ALLOCATE(t_x(klon,klev), t_w(klon,klev))
-!!      ALLOCATE(q_x(klon,klev), q_w(klon,klev))
-!>jyg
-      ALLOCATE(dtvdf_x(klon,klev), dtvdf_w(klon,klev))
-      dtvdf_x = 0 ; dtvdf_w=0 ;   !ym missing init
-      ALLOCATE(dqvdf_x(klon,klev), dqvdf_w(klon,klev))
-      dqvdf_x = 0 ; dqvdf_w=0 ;   !ym missing init
-      ALLOCATE(pbl_tke_input(klon,klev+1,nbsrf))
-      ALLOCATE(t_therm(klon,klev), q_therm(klon,klev),u_therm(klon,klev), v_therm(klon,klev))
-      ALLOCATE(cdragh_x(klon), cdragh_w(klon))
-      ALLOCATE(cdragm_x(klon), cdragm_w(klon))
-      ALLOCATE(kh(klon), kh_x(klon), kh_w(klon))
+    !
+    ALLOCATE(sens_x(klon), sens_w(klon))
+    ALLOCATE(zxfluxlat_x(klon), zxfluxlat_w(klon))
+    ALLOCATE(delta_qsurf(klon))
+    !jyg<
+    !!      ALLOCATE(t_x(klon,klev), t_w(klon,klev))
+    !!      ALLOCATE(q_x(klon,klev), q_w(klon,klev))
+    !>jyg
+    ALLOCATE(dtvdf_x(klon, klev), dtvdf_w(klon, klev))
+    dtvdf_x = 0 ; dtvdf_w = 0 ;
+    !ym missing init
+    ALLOCATE(dqvdf_x(klon, klev), dqvdf_w(klon, klev))
+    dqvdf_x = 0 ; dqvdf_w = 0 ;
+    !ym missing init
+    ALLOCATE(pbl_tke_input(klon, klev + 1, nbsrf))
+    ALLOCATE(t_therm(klon, klev), q_therm(klon, klev), u_therm(klon, klev), v_therm(klon, klev))
+    ALLOCATE(cdragh_x(klon), cdragh_w(klon))
+    ALLOCATE(cdragm_x(klon), cdragm_w(klon))
+    ALLOCATE(kh(klon), kh_x(klon), kh_w(klon))
 #ifdef ISO
       ALLOCATE(dxtvdf_x(ntraciso,klon,klev), dxtvdf_w(ntraciso,klon,klev))
       ALLOCATE(xt_therm(ntraciso,klon,klev))
 #endif
-!
-      ALLOCATE(ptconv(klon,klev))
-      ALLOCATE(ratqsc(klon,klev))
-!
-      ALLOCATE(wbeff(klon), convoccur(klon), zmax_th(klon))
-      ALLOCATE(zq2m(klon), zt2m(klon), weak_inversion(klon))
-      ALLOCATE(zt2m_min_mon(klon), zt2m_max_mon(klon))
-      ALLOCATE(t2m_min_mon(klon), t2m_max_mon(klon))
-      ALLOCATE(sens(klon), flwp(klon), fiwp(klon))
-      ALLOCATE(alp_bl_conv(klon), alp_bl_det(klon))
-      alp_bl_conv(:)=0 ;  alp_bl_det(:)=0
-      ALLOCATE(alp_bl_fluct_m(klon), alp_bl_fluct_tke(klon))
-      alp_bl_fluct_m(:)=0 ; alp_bl_fluct_tke(:)= 0.
-      ALLOCATE(alp_bl_stat(klon), n2(klon), s2(klon), strig(klon), zcong(klon), zlcl_th(klon))
-      alp_bl_stat(:)=0
-      ALLOCATE(proba_notrig(klon), random_notrig(klon))
-
-      ALLOCATE(dnwd0(klon, klev))
-!      ALLOCATE(upwd(klon, klev), omega(klon, klev), coefh(klon, klev))
-      ALLOCATE(omega(klon, klev))
-      ALLOCATE(epmax_diag(klon)) ! epmax_cape
-!      ALLOCATE(coefm(klon, klev), lambda_th(klon, klev), cldemi(klon, klev))
-      ALLOCATE(lambda_th(klon, klev), cldemi(klon, klev))
-      ALLOCATE(cldfra(klon, klev), cldtau(klon, klev), fiwc(klon, klev))
-      ALLOCATE(fl(klon, klev), re(klon, klev), flwc(klon, klev))
-      ALLOCATE(ref_liq(klon, klev), ref_ice(klon, klev), theta(klon, klev))
-      ALLOCATE(ref_liq_pi(klon, klev), ref_ice_pi(klon, klev))
-      ALLOCATE(zphi(klon, klev), zx_rh(klon, klev), zx_rhl(klon,klev), zx_rhi(klon,klev))
-      zx_rhl(:,:)=0.; zx_rhi(:,:)=0. ! because not always defined
-      ALLOCATE(pmfd(klon, klev), pmfu(klon, klev))
-
-      ALLOCATE(t2m(klon, nbsrf), fluxlat(klon, nbsrf))
-      ALLOCATE(fsollw(klon, nbsrf))
-      ALLOCATE(fsolsw(klon, nbsrf), wfbils(klon, nbsrf))
-      ALLOCATE(wfevap(klon, nbsrf))
-      ALLOCATE(evap_pot(klon, nbsrf))
-! FC 
-      ALLOCATE(zxfluxq(klon,klev),zxfluxt(klon,klev))
-!
-!  Deep convective variables used in phytrac
-      ALLOCATE(pmflxr(klon, klev+1), pmflxs(klon, klev+1))
-      ALLOCATE(wdtrainA(klon,klev),wdtrainS(klon,klev),wdtrainM(klon,klev))
-      ALLOCATE(dnwd(klon, klev), upwd(klon, klev))
-      ALLOCATE(ep(klon,klev))                          ! epmax_cape
-      ALLOCATE(da(klon,klev), mp(klon,klev))
-      ALLOCATE(phi(klon,klev,klev))
-      ALLOCATE(wght_cvfd(klon,klev))
-      ALLOCATE(phi2(klon,klev,klev))
-      ALLOCATE(d1a(klon,klev), dam(klon,klev))
-      ALLOCATE(ev(klon,klev))
-      ALLOCATE(elij(klon,klev,klev))
-      ALLOCATE(qtaa(klon,klev))
-      ALLOCATE(clw(klon,klev))
-      ALLOCATE(epmlmMm(klon,klev,klev), eplaMm(klon,klev))
-      ALLOCATE(sij(klon,klev,klev))
+    !
+    ALLOCATE(ptconv(klon, klev))
+    ALLOCATE(ratqsc(klon, klev))
+    !
+    ALLOCATE(wbeff(klon), convoccur(klon), zmax_th(klon))
+    ALLOCATE(zq2m(klon), zt2m(klon), weak_inversion(klon))
+    ALLOCATE(zt2m_min_mon(klon), zt2m_max_mon(klon))
+    ALLOCATE(t2m_min_mon(klon), t2m_max_mon(klon))
+    ALLOCATE(sens(klon), flwp(klon), fiwp(klon))
+    ALLOCATE(alp_bl_conv(klon), alp_bl_det(klon))
+    alp_bl_conv(:) = 0 ;  alp_bl_det(:) = 0
+    ALLOCATE(alp_bl_fluct_m(klon), alp_bl_fluct_tke(klon))
+    alp_bl_fluct_m(:) = 0 ; alp_bl_fluct_tke(:) = 0.
+    ALLOCATE(alp_bl_stat(klon), n2(klon), s2(klon), strig(klon), zcong(klon), zlcl_th(klon))
+    alp_bl_stat(:) = 0
+    ALLOCATE(proba_notrig(klon), random_notrig(klon))
+
+    ALLOCATE(dnwd0(klon, klev))
+    !      ALLOCATE(upwd(klon, klev), omega(klon, klev), coefh(klon, klev))
+    ALLOCATE(omega(klon, klev))
+    ALLOCATE(epmax_diag(klon)) ! epmax_cape
+    !      ALLOCATE(coefm(klon, klev), lambda_th(klon, klev), cldemi(klon, klev))
+    ALLOCATE(lambda_th(klon, klev), cldemi(klon, klev))
+    ALLOCATE(cldfra(klon, klev), cldtau(klon, klev), fiwc(klon, klev))
+    ALLOCATE(fl(klon, klev), re(klon, klev), flwc(klon, klev))
+    ALLOCATE(ref_liq(klon, klev), ref_ice(klon, klev), theta(klon, klev))
+    ALLOCATE(ref_liq_pi(klon, klev), ref_ice_pi(klon, klev))
+    ALLOCATE(zphi(klon, klev), zx_rh(klon, klev), zx_rhl(klon, klev), zx_rhi(klon, klev))
+    zx_rhl(:, :) = 0.; zx_rhi(:, :) = 0. ! because not always defined
+    ALLOCATE(pmfd(klon, klev), pmfu(klon, klev))
+
+    ALLOCATE(t2m(klon, nbsrf), fluxlat(klon, nbsrf))
+    ALLOCATE(fsollw(klon, nbsrf))
+    ALLOCATE(fsolsw(klon, nbsrf), wfbils(klon, nbsrf))
+    ALLOCATE(wfevap(klon, nbsrf))
+    ALLOCATE(evap_pot(klon, nbsrf))
+    ! FC
+    ALLOCATE(zxfluxq(klon, klev), zxfluxt(klon, klev))
+    !
+    !  Deep convective variables used in phytrac
+    ALLOCATE(pmflxr(klon, klev + 1), pmflxs(klon, klev + 1))
+    ALLOCATE(wdtrainA(klon, klev), wdtrainS(klon, klev), wdtrainM(klon, klev))
+    ALLOCATE(dnwd(klon, klev), upwd(klon, klev))
+    ALLOCATE(ep(klon, klev))                          ! epmax_cape
+    ALLOCATE(da(klon, klev), mp(klon, klev))
+    ALLOCATE(phi(klon, klev, klev))
+    ALLOCATE(wght_cvfd(klon, klev))
+    ALLOCATE(phi2(klon, klev, klev))
+    ALLOCATE(d1a(klon, klev), dam(klon, klev))
+    ALLOCATE(ev(klon, klev))
+    ALLOCATE(elij(klon, klev, klev))
+    ALLOCATE(qtaa(klon, klev))
+    ALLOCATE(clw(klon, klev))
+    ALLOCATE(epmlmMm(klon, klev, klev), eplaMm(klon, klev))
+    ALLOCATE(sij(klon, klev, klev))
 #ifdef ISO
       ALLOCATE(xtwdtrainA(ntraciso,klon,klev))
@@ -1173,31 +1172,30 @@
 #endif
 
-      ALLOCATE(prfl(klon, klev+1))
-      ALLOCATE(psfl(klon, klev+1), fraca(klon, klev+1), Vprecip(klon, klev+1))
-      ALLOCATE(bsfl(klon,klev+1))
-      ALLOCATE(zw2(klon, klev+1))
-
-      ALLOCATE(fluxu(klon, klev, nbsrf), fluxv(klon, klev, nbsrf))
-      ALLOCATE(fluxt(klon, klev, nbsrf))
-
-      ALLOCATE(uwriteSTD(klon,nlevSTD,nfiles), vwriteSTD(klon,nlevSTD,nfiles))
-      ALLOCATE(wwriteSTD(klon,nlevSTD,nfiles), phiwriteSTD(klon,nlevSTD,nfiles))
-      ALLOCATE(qwriteSTD(klon,nlevSTD,nfiles), twriteSTD(klon,nlevSTD,nfiles))
-      ALLOCATE(rhwriteSTD(klon,nlevSTD,nfiles))
-
-! ug et d'autres encore:
-      ALLOCATE(beta_prec(klon,klev))
-      ALLOCATE(rneb(klon,klev),rnebjn(klon,klev),rneblsvol(klon,klev))
-      ALLOCATE(pfraclr(klon,klev),pfracld(klon,klev))
-      pfraclr(:,:)=0. ; pfracld(:,:)=0. ! because not always defined
-      ALLOCATE(cldfraliq(klon,klev))
-      ALLOCATE(sigma2_icefracturb(klon,klev))
-      ALLOCATE(mean_icefracturb(klon,klev))
-      ALLOCATE(distcltop(klon,klev))
-      ALLOCATE(temp_cltop(klon,klev))
-
-
-      ALLOCATE (zxsnow(klon),snowhgt(klon),qsnow(klon),to_ice(klon))
-      ALLOCATE (sissnow(klon),runoff(klon),albsol3_lic(klon))
+    ALLOCATE(prfl(klon, klev + 1))
+    ALLOCATE(psfl(klon, klev + 1), fraca(klon, klev + 1), Vprecip(klon, klev + 1))
+    ALLOCATE(bsfl(klon, klev + 1))
+    ALLOCATE(zw2(klon, klev + 1))
+
+    ALLOCATE(fluxu(klon, klev, nbsrf), fluxv(klon, klev, nbsrf))
+    ALLOCATE(fluxt(klon, klev, nbsrf))
+
+    ALLOCATE(uwriteSTD(klon, nlevSTD, nfiles), vwriteSTD(klon, nlevSTD, nfiles))
+    ALLOCATE(wwriteSTD(klon, nlevSTD, nfiles), phiwriteSTD(klon, nlevSTD, nfiles))
+    ALLOCATE(qwriteSTD(klon, nlevSTD, nfiles), twriteSTD(klon, nlevSTD, nfiles))
+    ALLOCATE(rhwriteSTD(klon, nlevSTD, nfiles))
+
+    ! ug et d'autres encore:
+    ALLOCATE(beta_prec(klon, klev))
+    ALLOCATE(rneb(klon, klev), rnebjn(klon, klev), rneblsvol(klon, klev))
+    ALLOCATE(pfraclr(klon, klev), pfracld(klon, klev))
+    pfraclr(:, :) = 0. ; pfracld(:, :) = 0. ! because not always defined
+    ALLOCATE(cldfraliq(klon, klev))
+    ALLOCATE(sigma2_icefracturb(klon, klev))
+    ALLOCATE(mean_icefracturb(klon, klev))
+    ALLOCATE(distcltop(klon, klev))
+    ALLOCATE(temp_cltop(klon, klev))
+
+    ALLOCATE (zxsnow(klon), snowhgt(klon), qsnow(klon), to_ice(klon))
+    ALLOCATE (sissnow(klon), runoff(klon), albsol3_lic(klon))
 #ifdef ISO
       ALLOCATE (zxxtsnow(niso,klon))
@@ -1206,52 +1204,52 @@
 #endif
 
-      ALLOCATE (p_tropopause(klon))
-      ALLOCATE (z_tropopause(klon))
-      ALLOCATE (t_tropopause(klon))
-
-      ALLOCATE(zn2mout(klon,6))
-
-! Supersaturation
-      ALLOCATE(rneb_seri(klon,klev))
-      ALLOCATE(d_rneb_dyn(klon,klev))
-      ALLOCATE(qclr(klon,klev), qcld(klon,klev), qss(klon,klev), qvc(klon,klev))
-      ALLOCATE(rnebclr(klon,klev), rnebss(klon,klev), gamma_ss(klon,klev))
-      ALLOCATE(N1_ss(klon,klev), N2_ss(klon,klev))
-      ALLOCATE(drneb_sub(klon,klev), drneb_con(klon,klev), drneb_tur(klon,klev), drneb_avi(klon,klev))
-      ALLOCATE(zqsatl(klon,klev), zqsats(klon,klev))
-      ALLOCATE(Tcontr(klon,klev), qcontr(klon,klev), qcontr2(klon,klev), fcontrN(klon,klev), fcontrP(klon,klev))
-
-!--POPRECIP variables
-      ALLOCATE(qraindiag(klon,klev), qsnowdiag(klon,klev))
-      ALLOCATE(dqreva(klon,klev), dqssub(klon,klev))
-      ALLOCATE(dqrauto(klon,klev), dqrcol(klon,klev), dqrmelt(klon,klev), dqrfreez(klon,klev))
-      ALLOCATE(dqsauto(klon,klev), dqsagg(klon,klev), dqsrim(klon,klev), dqsmelt(klon,klev), dqsfreez(klon,klev))
-
-#ifdef CPP_StratAer
-      ALLOCATE (d_q_emiss(klon,klev))
-      ALLOCATE (R2SO4(klon,klev))
-      ALLOCATE (R2SO4B(klon,klev,nbtr_bin))
-      ALLOCATE (DENSO4(klon,klev))
-      ALLOCATE (DENSO4B(klon,klev,nbtr_bin))
-      ALLOCATE (f_r_wet(klon,klev))
-      ALLOCATE (f_r_wetB(klon,klev,nbtr_bin))
-      ALLOCATE (decfluxaer(klon,nbtr))
+    ALLOCATE (p_tropopause(klon))
+    ALLOCATE (z_tropopause(klon))
+    ALLOCATE (t_tropopause(klon))
+
+    ALLOCATE(zn2mout(klon, 6))
+
+    ! Supersaturation
+    ALLOCATE(rneb_seri(klon, klev))
+    ALLOCATE(d_rneb_dyn(klon, klev))
+    ALLOCATE(qclr(klon, klev), qcld(klon, klev), qss(klon, klev), qvc(klon, klev))
+    ALLOCATE(rnebclr(klon, klev), rnebss(klon, klev), gamma_ss(klon, klev))
+    ALLOCATE(N1_ss(klon, klev), N2_ss(klon, klev))
+    ALLOCATE(drneb_sub(klon, klev), drneb_con(klon, klev), drneb_tur(klon, klev), drneb_avi(klon, klev))
+    ALLOCATE(zqsatl(klon, klev), zqsats(klon, klev))
+    ALLOCATE(Tcontr(klon, klev), qcontr(klon, klev), qcontr2(klon, klev), fcontrN(klon, klev), fcontrP(klon, klev))
+
+    !--POPRECIP variables
+    ALLOCATE(qraindiag(klon, klev), qsnowdiag(klon, klev))
+    ALLOCATE(dqreva(klon, klev), dqssub(klon, klev))
+    ALLOCATE(dqrauto(klon, klev), dqrcol(klon, klev), dqrmelt(klon, klev), dqrfreez(klon, klev))
+    ALLOCATE(dqsauto(klon, klev), dqsagg(klon, klev), dqsrim(klon, klev), dqsmelt(klon, klev), dqsfreez(klon, klev))
+
+    IF (CPPKEY_STRATAER) THEN
+      ALLOCATE (d_q_emiss(klon, klev))
+      ALLOCATE (R2SO4(klon, klev))
+      ALLOCATE (R2SO4B(klon, klev, nbtr_bin))
+      ALLOCATE (DENSO4(klon, klev))
+      ALLOCATE (DENSO4B(klon, klev, nbtr_bin))
+      ALLOCATE (f_r_wet(klon, klev))
+      ALLOCATE (f_r_wetB(klon, klev, nbtr_bin))
+      ALLOCATE (decfluxaer(klon, nbtr))
       ALLOCATE (mdw(nbtr))
-      ALLOCATE (budg_3D_nucl(klon,klev))
-      ALLOCATE (budg_3D_cond_evap(klon,klev))
-      ALLOCATE (budg_3D_ocs_to_so2(klon,klev))
-      ALLOCATE (budg_3D_so2_to_h2so4(klon,klev))
-      ALLOCATE (budg_3D_backgr_ocs(klon,klev))
-      ALLOCATE (budg_3D_backgr_so2(klon,klev))
-      ALLOCATE (OCS_lifetime(klon,klev))
-      ALLOCATE (SO2_lifetime(klon,klev))
-      ALLOCATE (H2SO4_lifetime(klon,klev))
-      ALLOCATE (O3_clim(klon,klev))
-      ALLOCATE (alpha_bin(nbands_sw_rrtm+nbands_lw_rrtm+nwave,nbtr))
-      ALLOCATE (piz_bin(nbands_sw_rrtm+nbands_lw_rrtm+nwave,nbtr))
-      ALLOCATE (cg_bin(nbands_sw_rrtm+nbands_lw_rrtm+nwave,nbtr))
-      ALLOCATE (tau_strat_550(klon,klev))
-      ALLOCATE (tau_strat_1020(klon,klev))
-      ALLOCATE (tausum_strat(klon,3))
+      ALLOCATE (budg_3D_nucl(klon, klev))
+      ALLOCATE (budg_3D_cond_evap(klon, klev))
+      ALLOCATE (budg_3D_ocs_to_so2(klon, klev))
+      ALLOCATE (budg_3D_so2_to_h2so4(klon, klev))
+      ALLOCATE (budg_3D_backgr_ocs(klon, klev))
+      ALLOCATE (budg_3D_backgr_so2(klon, klev))
+      ALLOCATE (OCS_lifetime(klon, klev))
+      ALLOCATE (SO2_lifetime(klon, klev))
+      ALLOCATE (H2SO4_lifetime(klon, klev))
+      ALLOCATE (O3_clim(klon, klev))
+      ALLOCATE (alpha_bin(nbands_sw_rrtm + nbands_lw_rrtm + nwave, nbtr))
+      ALLOCATE (piz_bin(nbands_sw_rrtm + nbands_lw_rrtm + nwave, nbtr))
+      ALLOCATE (cg_bin(nbands_sw_rrtm + nbands_lw_rrtm + nwave, nbtr))
+      ALLOCATE (tau_strat_550(klon, klev))
+      ALLOCATE (tau_strat_1020(klon, klev))
+      ALLOCATE (tausum_strat(klon, 3))
       ALLOCATE (budg_dep_dry_ocs(klon))
       ALLOCATE (budg_dep_wet_ocs(klon))
@@ -1271,58 +1269,58 @@
       ALLOCATE (budg_sed_part(klon))
       ALLOCATE (surf_PM25_sulf(klon))
-      ALLOCATE (vsed_aer(klon,klev))
-      ALLOCATE (sulfmmr(klon,klev))
-      ALLOCATE (SAD_sulfate(klon,klev))
-      ALLOCATE (sulfmmr_mode(klon,klev,nbtr_bin))
-      ALLOCATE (nd_mode(klon,klev,nbtr_bin))
-#endif
-
-END SUBROUTINE phys_local_var_init
-
-!======================================================================
-SUBROUTINE phys_local_var_end
-USE dimphy
-USE indice_sol_mod
-IMPLICIT NONE
-      DEALLOCATE(t_seri,q_seri,ql_seri,qs_seri, qbs_seri)
-! SN 4D ISO
-      DEALLOCATE(qx_seri)
-! SN
-      DEALLOCATE(u_seri,v_seri)
-      DEALLOCATE(l_mixmin,l_mix,wprime)
-      DEALLOCATE(tke_shear,tke_buoy,tke_trans)
-      DEALLOCATE(pbl_eps)
-      DEALLOCATE(rhcl)
-      DEALLOCATE(tr_seri)
-      DEALLOCATE(d_t_dyn,d_q_dyn)
-      DEALLOCATE(d_ql_dyn,d_qs_dyn, d_qbs_dyn)
-      DEALLOCATE(d_q_dyn2d,d_ql_dyn2d,d_qs_dyn2d, d_qbs_dyn2d)
-      DEALLOCATE(d_u_dyn,d_v_dyn)
-      DEALLOCATE(d_tr_dyn)                      !RomP
-      DEALLOCATE(d_t_con,d_q_con,d_q_con_zmasse)
-      DEALLOCATE(d_u_con,d_v_con)
-      DEALLOCATE(d_t_wake,d_q_wake)
-      DEALLOCATE(d_t_lsc,d_q_lsc)
-      DEALLOCATE(d_t_lwr,d_t_lw0)
-      DEALLOCATE(d_t_swr,d_t_sw0)
-      DEALLOCATE(d_ql_lsc,d_qi_lsc)
-      DEALLOCATE(d_t_ajsb,d_q_ajsb)
-      DEALLOCATE(d_t_ajs,d_q_ajs)
-!nrlmd<
-      DEALLOCATE(d_t_ajs_w,d_q_ajs_w)
-      DEALLOCATE(d_t_ajs_x,d_q_ajs_x)
-!>nrlmd
-      DEALLOCATE(d_u_ajs,d_v_ajs)
-      DEALLOCATE(d_t_eva,d_q_eva)
-! SN 4D ISO
-      DEALLOCATE(d_qx_eva)
-! SN
-      DEALLOCATE(d_ql_eva,d_qi_eva)
-      DEALLOCATE(d_t_lscst,d_q_lscst)
-      DEALLOCATE(d_t_lscth,d_q_lscth)
-      DEALLOCATE(plul_st,plul_th)
-      DEALLOCATE(d_t_vdf,d_q_vdf,d_t_diss)
-      DEALLOCATE(d_qbs_vdf)
-      DEALLOCATE(d_t_bsss,d_q_bsss,d_qbs_bsss)
+      ALLOCATE (vsed_aer(klon, klev))
+      ALLOCATE (sulfmmr(klon, klev))
+      ALLOCATE (SAD_sulfate(klon, klev))
+      ALLOCATE (sulfmmr_mode(klon, klev, nbtr_bin))
+      ALLOCATE (nd_mode(klon, klev, nbtr_bin))
+    END IF
+
+  END SUBROUTINE phys_local_var_init
+
+  !======================================================================
+  SUBROUTINE phys_local_var_end
+    USE dimphy
+    USE indice_sol_mod
+    IMPLICIT NONE
+    DEALLOCATE(t_seri, q_seri, ql_seri, qs_seri, qbs_seri)
+    ! SN 4D ISO
+    DEALLOCATE(qx_seri)
+    ! SN
+    DEALLOCATE(u_seri, v_seri)
+    DEALLOCATE(l_mixmin, l_mix, wprime)
+    DEALLOCATE(tke_shear, tke_buoy, tke_trans)
+    DEALLOCATE(pbl_eps)
+    DEALLOCATE(rhcl)
+    DEALLOCATE(tr_seri)
+    DEALLOCATE(d_t_dyn, d_q_dyn)
+    DEALLOCATE(d_ql_dyn, d_qs_dyn, d_qbs_dyn)
+    DEALLOCATE(d_q_dyn2d, d_ql_dyn2d, d_qs_dyn2d, d_qbs_dyn2d)
+    DEALLOCATE(d_u_dyn, d_v_dyn)
+    DEALLOCATE(d_tr_dyn)                      !RomP
+    DEALLOCATE(d_t_con, d_q_con, d_q_con_zmasse)
+    DEALLOCATE(d_u_con, d_v_con)
+    DEALLOCATE(d_t_wake, d_q_wake)
+    DEALLOCATE(d_t_lsc, d_q_lsc)
+    DEALLOCATE(d_t_lwr, d_t_lw0)
+    DEALLOCATE(d_t_swr, d_t_sw0)
+    DEALLOCATE(d_ql_lsc, d_qi_lsc)
+    DEALLOCATE(d_t_ajsb, d_q_ajsb)
+    DEALLOCATE(d_t_ajs, d_q_ajs)
+    !nrlmd<
+    DEALLOCATE(d_t_ajs_w, d_q_ajs_w)
+    DEALLOCATE(d_t_ajs_x, d_q_ajs_x)
+    !>nrlmd
+    DEALLOCATE(d_u_ajs, d_v_ajs)
+    DEALLOCATE(d_t_eva, d_q_eva)
+    ! SN 4D ISO
+    DEALLOCATE(d_qx_eva)
+    ! SN
+    DEALLOCATE(d_ql_eva, d_qi_eva)
+    DEALLOCATE(d_t_lscst, d_q_lscst)
+    DEALLOCATE(d_t_lscth, d_q_lscth)
+    DEALLOCATE(plul_st, plul_th)
+    DEALLOCATE(d_t_vdf, d_q_vdf, d_t_diss)
+    DEALLOCATE(d_qbs_vdf)
+    DEALLOCATE(d_t_bsss, d_q_bsss, d_qbs_bsss)
 #ifdef ISO
       deallocate(xt_seri,xtl_seri,xts_seri,xtbs_seri)
